# gds-input - Angular

## Import

```typescript
import { GdsInputComponent } from '@sebgroup/green-core-ng'
```

## Usage

Use the component in your Angular templates:

```html
<gds-input>
  <!-- content -->
</gds-input>
```

## Event Handling

Events are emitted using Angular output syntax. Event names are converted from kebab-case to camelCase:

| Web Component Event | Angular Output | Handler Example |
|---------------------|----------------|-----------------|
| `gds-input-cleared` | `gdsInputCleared` | `(gdsInputCleared)="handler($event)"` |
